(**
  * print.mli
  * ColorML_v2 project
  * (C) Lilian Besson, 2014
*)

val string_of_char : char -> string
val char_of_string : string -> char
	(** Fonctions manquantes. *)

val ecrire_sortie : out_channel -> string -> unit
(** Fonction ecrire_sortie : plus pratique que output. *)

val ecrit_string : ?ext:bool -> ?adresse:string -> string -> unit
	(** Ecrit en instantanné. *)
val print_string : string -> unit
	(** Pervasives.print_string *)

(** {6 Avec le module ANSITerminal.} *)

val ecritC_string :
  ?style:ANSITerminal.style list ->
  ?ext:bool -> ?adresse:string -> string -> unit
(** Ecrit en instantanné. Et en couleurs. *)
	(** Les méthodes pour écrire les éléments de types décrits dans [Types]. *)

(** Méthode générale pour afficher du code, selon qu'on le veut en couleur ou pas. *)

val affiche_string :
  string -> ?adresse_out:string -> ?stat:bool -> ?color:bool -> unit -> unit
  (** On lexe (luthor), on parse, et on affiche. Depuis une chaine interne. *)

val affiche_fichier :
  ?adresse_in:string ->
  ?adresse_out:string ->
  ?stat:bool -> ?adresse_stat:string -> ?color:bool -> unit -> unit
  (** On lexe (luthor), on parse, et on affiche. Depuis un fichier externe. *)

val affiche_fichierquiet :
  ?adresse_in:string ->
  ?adresse_out:string ->
  ?stat:bool -> ?adresse_stat:string -> ?color:bool -> unit -> unit
  (** On lexe (luthor), on parse, et on affiche. Depuis un fichier externe. N'imprime aucun message intermédiaire. *)
